package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysDingDate;
import com.qmth.sop.common.enums.DingDateTypeEnum;

import java.time.LocalDate;

/**
 * 考勤特殊日期 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-10 13:52:06
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDingDateService extends IService<SysDingDate>{


    /**
     * 是否为工作日，周末，法定节假日
     */
    DingDateTypeEnum getDingDateType(LocalDate date);


}